Verificar em lote a existência de chaves PIX
curl --request POST \
--url https://spi.sandbox.lerian.net/api/v1/dict/keys/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"<string>"
]
}
'import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/keys/check"
payload = { "keys": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keys: ['<string>']})
};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/keys/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"hasEntry": true,
"key": "12345678901"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Verificar em lote a existência de chaves PIX
Sonda até 200 valores de chave PIX para verificar sua existência em uma única chamada, respaldado pelo keys/check do DICT do BACEN (host dict-np). Retorna um único resultado de somente existência por chave enviada, na ordem de envio. Requer o endpoint dict-np; um 503 é retornado quando ele não está configurado.
POST
/
api
/
v1
/
dict
/
keys
/
check
Verificar em lote a existência de chaves PIX
Autorizações
JWT bearer token issued by the identity provider.
Corpo
application/json
Up to 200 PIX key values to probe for existence in one batch (backed by BACEN dict-np keys/check); response is existence-only
PIX key values to probe for existence (1..200 per batch).
Required array length:
1 - 200 elementsResposta
OK
One existence result per submitted key, in submission order
One existence result per submitted key, in submission order.
Show child attributes
Show child attributes
Esta página foi útil?

